import * as React from 'react';
import type { Meta } from '@storybook/react';
import { FileSelectBox as Component, FileSelectBoxProps as Props } from '.';

const meta: Meta<typeof Component> = {
	component: Component,
	argTypes: {
		previewComponent: {
			table: {
				disable: true,
			}
		},
		label: {
			control: { type: 'text' },
		},
		hint: {
			control: { type: 'text' },
		},
		onChange: {
			table: {
				disable: true,
			},
			action: 'changed',
		},
	},
	args: {
		...(Component.defaultProps ?? {}),
		label: Component.displayName,
		hint: 'ファイルを選択してください。',
	},
};

export const FileSelectBox = (args: Omit<Props, 'ref'>) => (
	<Component
		{...args}
	/>
);

export default meta;
